<div class="container-m--x bredcrumb" style="margin-top:-10px;">
  <div class="row px-4 f-16 white">
    <div class="col-md-4">
      <span><i class="las la-home f-18 "></i></span><span class="px-3"><i class="las la-angle-right f-12 "></i></span>
      <span class="f-14">Master Documents</span></div>
  </div>
</div>

<div class="container-m--x" *blockUI="'global-loader'; template: blockTemplate">
  
<div class="row">

<div class="col-md-9" style="padding-left:4.65rem;">
  <div class="row">
      <!-- title bar -->
  <div class="col-md-12 d-flex mt-4 mb-3" >
    <div class="col-md-10">
     <div> <i class="las la-stream mr-1 f-22 text-gray55"></i><span class="f-22 fw-500 text-gray55">Master Documents</span></div>
    </div>
    <div class="col-md-2 d-flex">
    <div  ngbDropdown [placement]="isRTL ? 'bottom-left' : 'bottom-center'" class=" pt-1">
      <button ngbDropdownToggle class="btn btn-sm   borderless md-btn-flat   f-16 lSpace">
        <i class="las la-filter mr-1 fa-lg "></i>Filter </button>
      <div ngbDropdownMenu [class.dropdown-menu-right]="!isRTL" class="mt-1 "
        style="box-shadow: 0px 3px 10px 1px #7d7d7d5c !important;">
        <a class="dropdown-item" href="javascript:void(0)"><span >Content.....</span></a>
        <a class="dropdown-item" href="javascript:void(0)"><span >Content.....</span></a>
        <a class="dropdown-item" href="javascript:void(0)"><span >Content.....</span></a>
      </div>
    </div>
    <div  ngbDropdown [placement]="isRTL ? 'bottom-left' : 'bottom-center'" class="ml-1 pt-1">
      <button ngbDropdownToggle class="btn btn-sm   borderless md-btn-flat   f-16 lSpace">
        <i class="las la-sort-alpha-up-alt mr-1 fa-lg "></i>Sort </button>
      <div ngbDropdownMenu [class.dropdown-menu-right]="!isRTL" class="mt-1 "
        style="box-shadow: 0px 3px 10px 1px #7d7d7d5c !important;">
        <a class="dropdown-item" href="javascript:void(0)"><span >Content.....</span></a>
        <a class="dropdown-item" href="javascript:void(0)"><span >Content.....</span></a>
        <a class="dropdown-item" href="javascript:void(0)"><span >Content.....</span></a>
      </div>
    </div>


    </div>
  </div>
  <!-- title bar -->
       <!-- left side -->
 <div class="col-md-2" > 
  <button  class="btn btn-default hide-arrow WSF borderless bookmark-tab-btn  px-2 text-left">
    <i  class="las la-folder fa-lg"></i>
    <span  class="ml-3">All Documents</span>
  </button>
  <button  class="btn btn-default hide-arrow WSF borderless bookmark-tab-btn px-2 text-left">
    <i  class="las la-dollar-sign fa-lg"></i>
    <span  class="ml-3">Sales 360</span>
  </button>
  <button  class="btn btn-default hide-arrow WSF borderless bookmark-tab-btn px-2 text-left">
    <i  class="las la-cube fa-lg"></i>
    <span  class="ml-3">Product</span>
  </button>
  <button  class="btn btn-default hide-arrow WSF borderless bookmark-tab-btn px-2 text-left">
    <i  class="las la-shopping-cart fa-lg"></i>
    <span  class="ml-3">Channel</span>
  </button>
  <button  class="btn btn-default hide-arrow WSF borderless bookmark-tab-btn px-2 text-left">
    <i  class="las la-percentage fa-lg"></i>
    <span  class="ml-3">Promotion</span>
  </button>
  <button  class="btn btn-default hide-arrow WSF borderless bookmark-tab-btn px-2 text-left">
    <i  class="las la-users fa-lg"></i>
    <span  class="ml-3">Customer</span>
  </button>
  <button  class="btn btn-default hide-arrow WSF new-folder-btn px-2 text-left mt-5">
    <i  class="las la-folder-plus fa-lg"></i>
    <span  class="ml-3">New Folder</span>
  </button>
</div>
  <!-- left side -->
  <!-- Center content -->
 <div class="col-md-10 "  style="max-height: 80vh;"> 
  <div class="row" >
        <div class="card-body px-0 pt-0 pb-3 pl-5 " style="max-height: 79vh;" [perfectScrollbar]>
          <div class="mb-3 pl-0 pr-3 outline-none col-md-3 float-left" [routerLink]="['/flow/create']">
            <div class="card border-radius-10 insights-tab-links card-link w-100 border-dash box-shadow-none bg-graye9"
              style="height: 155px; border:1px dashed #aaaaaa;">

              <div class="f-14 text-center" style="padding: 4.23rem;"><i class="las la-plus-circle fa-lg mr-2"></i>New
                Document</div>

            </div>
          </div>

          <div class="mb-3 pl-0 pr-3 col-md-3 outline-none" *ngFor="let bookmark of bookmarks_data;index as i"
            (click)="choose_bookmark(i)" (dblclick)="goto_bookmark(bookmark)"
            [ngClass]="{'active': selected_bookmark.bookmark_id == bookmark.bookmark_id}"
            style="display: inline-block;">
            <div class="card border-radius-10 insights-tab-links card-link w-100 bookmark-card-shadow" >
              <div class="list-group list-group-flush">
                <div class="list-group-item p-3  f-14">
                  <div class="list-top-items mb-2 overflow-hidden" style="height:100px;max-height: 60px;">
                    <span class="f-14">{{bookmark.name}}</span>
                  </div>
                  <div class="bottom-items">
                    <div class="text-right pt-2">
                      <div><i class="las la-cube f-25 cursor" style="color: #6CC9A8;"></i></div>
                      <div class="float-left fw-700">
                        <i class="las la-stream text-muted  align-items-end"></i>
                        <span class="f-14">{{bookmark.cards_count}}</span>
                      </div>
                      <div class="text-muted f-12">{{bookmark.created_date|date:'mediumDate'}}</div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
    <div  *ngIf="false">
      <!-- Temp Hidden for demo1 -->
      <div >
        <i class="las la-envelope mr-1 f-16"></i><span class="f-16">Subscriptions</span></div>
      <div >
        <div class="card-body px-0 py-3">
          <div class="mr-3" style="max-width: 247px;display: inline-block;">
            <div class="card mb-3 border-radius-10 insights-tab-links bottom-shadow card-link">
              <div class="list-group list-group-flush">
                <div class="list-group-item p-3  f-14">
                  <div class="list-top-items">
                    <span class="f-14">Net Sales Analysis of Crispy Avocado Sandwich in Texas & California for
                      November in 2019</span>
                  </div>
                  <div class="bottom-items">
                    <div class="text-right pt-2">
                      <div><i class="las la-cube f-25 cursor" style="color: #6CC9A8;"></i></div>
                      <div class="float-left fw-700">
                        <i class="las la-stream text-muted  align-items-end"></i>
                        <span class="f-14">15</span>
                      </div>
                      <div class="text-muted f-12">December 21, 2019</div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

  </div>
</div>
 <!-- Center content -->
  </div>
</div>
 <!-- right side -->
 <div class="col-md-3 bg-white" style="height:80vh;">
  <div class="pt-3 d-flex">
    <span class="mb-3" (click)="goto_bookmark(selected_bookmark)"> <i class="las la-cube f-30 p-2 white"
        style="background:linear-gradient(280.31deg, #B6E1A6 -33.01%, #8ADDC0 68.91%); border-radius:7px;"></i></span>
    <div class="f-14 w-70 fw-500 ml-2 cursor mb-3  selected-bookmark-text" (click)="goto_bookmark(selected_bookmark)">{{selected_bookmark.name}}</div>
    <div style="display:grid;">
      <i class="las la-share-square f-25"></i>
      <i class="las la-trash-alt f-25 cursor" (click)="delete_confirm(delete_confirm_modal)"></i>
    </div>
  </div>
  <div class="f-14 w-65 mb-2">
    <span class="text-muted">Created Date</span>
    <span class="float-right">{{selected_bookmark.created_date | date:'mediumDate'}}</span>
  </div>
  <div class="f-14 w-65 mb-2">
    <span class="text-muted">Updated Date</span>
    <span class="float-right">{{selected_bookmark.last_updated_date | date:'mediumDate'}}</span>
  </div>
  <!-- Temp Hidden for demo1 -->
  <button *ngIf="false" class="btn btn-primary mt-2"><i class="las la-envelope mr-1 fa-lg"></i>Subscribe </button>
  <button *ngIf="false" class="btn btn-default mt-2 ml-2 custom-primary-border custom-primary-text"><i
      class="las la-envelope mr-1 fa-lg"></i>Unsubscribe </button>
      <!-- Temp Hidden for demo1 -->

  <div class="mt-4 pr-2 mr-2 mega-dropdown outline-container" style="max-height: 60vh;" [perfectScrollbar]>
    <div class="group-container olgroup-container remove-placeholder">
      <div>
        <div *ngFor="let fg of selected_bookmark?.flow;index as i" [ngClass]="fg?.length>1?'outline-group':''">
          <div class="group-handle display-none"></div>
          <div [ngClass]="{'mb-15': fg?.length > 0, 'ml-16': fg?.length > 1 }">
            <div class="mt-2 olgroup-btn m-b-20" *ngFor="let singleItem of fg">
              <button class="btn btn-default text-left w-100 ml-0 borderless bg-gray95 outlinechild-hover" style="cursor: default;">
                {{singleItem?.view_name}}</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div style="background: #fff;position: absolute;bottom: -8vh;right: 0;height: 12vh;width: 100%;"></div>
</div>
 <!-- right side -->
</div>
</div>

<ng-template #delete_confirm_modal let-c="close" let-d="dismiss">
  <div class="modal-header">
    <h5 class="modal-title">
      <span class="font-weight-light">Deleting Document!</span>
    </h5>
    <button type="button" class="close" (click)="close_modal()">&times;</button>
  </div>
  <div class="modal-body custom-bg-block-ui">
    Do you want to delete {{selected_bookmark.name}}?
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-default" (click)="delete_flow()">Yes, Delete It</button>
    <button type="button" class="btn btn-secondary" (click)="close_modal()">Cancel</button>
  </div>
</ng-template>

<ng-template #blockTemplate>
  <div class="block-ui-template">
    <div class="app-splash-screen ">
      <div class="new-app-splash-screen-content text-center">
        <img src="../../assets/img/hx-loader-logo.svg" class="loader-svg">
        <span class="loading-text-material">
        </span>
      </div>
    </div>
  </div>
</ng-template>